Package com.sas.lsaf.security.acl

## Class Acl

- java.lang.Object
- - com.sas.lsaf.security.acl.AbstractAcl
  - - com.sas.lsaf.security.acl.Acl

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Acl
      extends AbstractAcl

  An ACL contains owner and access permission information for a given object. Permissions can be accessed for any `RepositoryItem`. Each ACL has an owner, which is a user. The ACL also contains a set of `AclEntry` objects. When an object is added to the repository, it will, by default, have an ACL with two entries defined. One is the AclOwner entry, which defines permissions the owner can have. Note that Read and admin permissions cannot be removed from the AclOwner entry. The other entry added by default is the AclMembers entry. This entry defines which permissions members of the parent context will have. By default, only Read permission is given to members. Additional entries can be defined to set permissions for other users and groups.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Acl​(ObjectIdentity owningObjectIdentity)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.security.acl.AbstractAcl

      `getEntries, getOwner, getOwningObjectIdentity, setAce, setEntries, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Acl

          public Acl​(ObjectIdentity owningObjectIdentity)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with acls returned by the API.
      Parameters:
        `owningObjectIdentity` - object identity for which this acl is defined

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractAcl`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractAcl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractAcl`